Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation.expression
Interface Expression

All Superinterfaces
  Cloneable, Comparable, Serializable

All Known Subinterfaces:
  Criteria, Logical

All Known Implementing Classes:
  CriteriaImpl, ExpressionImpl, LogicalImpl

Deprecated Use `Expression` instead.

    public interface Expression

extends Comparable, Cloneable, Serializable

An Expression represent a comparision expression.

The Expression interface is supposed to be abstract. The only instances of Expressions should be either `Criterias` or `Logicals`.

Attribute: not

- Containment: By Value
- Multiplicity: 1:1
- This specifies whether this is an negative expression or not.

See Also
  `ExpressionHome`, `ExpressionImpl`, `ExpressionHelper`

Method Summary
`boolean` | `getNot()` Deprecated Get the value of not
`String` | `interfaceName()` Deprecated Get the interface name.
`void` | `setByValue(Object val)` Deprecated Set this object.
`void` | `setNot(boolean not)` Deprecated Set the value of not
`String` | `toString()` Deprecated Render the expression as a string.
`Object` | `value()` Deprecated Get a value object initialized from this.
`void` | `valueOf(String searchExpression)` Deprecated Populate this Expression from the specified expression string.

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### value

    Object value()

  Deprecated
  Get a value object initialized from this.

### setByValue

    void setByValue(Object val)

  Deprecated
  Set this object.

### interfaceName

    String interfaceName()

  Deprecated
  Get the interface name.

### getNot

    boolean getNot()

  Deprecated
  Get the value of not

### setNot

    void setNot(boolean not)

  Deprecated
  Set the value of not

### toString

    String toString()

  Deprecated
  Render the expression as a string.

  This will convert the expression to the query syntax form as specified by ExpressionHelper.

  Overrides:
    `toString` in class `Object`
  See Also
    `ExpressionHelper`

### valueOf

    void valueOf(String searchExpression)

  Deprecated
  Populate this Expression from the specified expression string.

  Throws
    `IllegalArgumentException` - thrown on an invalid expression string.
  See Also
    `ExpressionHelper.parse(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved